Index: extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 3826)
+++ extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 3836)
@@ -308,5 +308,5 @@
 	    {		
 		  $newconf_nbc_UserAdvManager_ConfirmMail = $_POST['UserAdvManager_ConfirmMail_TimeOut'].';'.$_POST['UserAdvManager_ConfirmMail_Delay'];
-	//TODO:Adding new option [Auto deletion : True | False]
+	//NODO:Adding new option [Auto deletion : True | False] - No access to cron functionnalities
 	//TODO:Adding new option [Resend_new_validation_key : True | False]
 		  $conf['nbc_UserAdvManager_ConfirmMail'] = $newconf_nbc_UserAdvManager_ConfirmMail;
@@ -356,5 +356,5 @@
             	WHERE u.'.$conf['user_fields']['id'].' >= 0
            			AND ug.group_id = "'.$conf_nbc_UserAdvManager[3].'"
-            		AND TO_DAYS(NOW()) - TO_DAYS(ui.registration_date) <= "'.$conf_nbc_UserAdvManager_ConfirmMail[1].'"
+            		AND TO_DAYS(NOW()) - TO_DAYS(ui.registration_date) >= "'.$conf_nbc_UserAdvManager_ConfirmMail[1].'"
            		ORDER BY id ASC
           ;';
@@ -655,5 +655,4 @@
     		  'UserAdvManager_CONFIRMMAIL_TIMEOUT_FALSE'	=> $conf_nbc_UserAdvManager_ConfirmMail[0]=='false' ?  'checked="checked"' : '' ,
     		  'UserAdvManager_CONFIRMMAIL_DELAY'			=> $conf_nbc_UserAdvManager_ConfirmMail[1],
-    		  //TODO:Adding new option [Auto Deletion : True | False]
     		  //TODO:Adding new option [Resend_new_validation_key : True | False]
     	    )
Index: extensions/NBC_UserAdvManager/trunk/admin/confirmmail.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/confirmmail.tpl	(revision 3826)
+++ extensions/NBC_UserAdvManager/trunk/admin/confirmmail.tpl	(revision 3836)
@@ -1,6 +1,3 @@
 <div class="titrePage">
-  <ul class="categoryActions">
-  
-  </ul>
   <h2>{'Title_Tab2'|@translate}</h2>
 </div>
@@ -13,18 +10,19 @@
         <input type="radio" value="true" {$UserAdvManager_CONFIRMMAIL_TIMEOUT_TRUE} name="UserAdvManager_ConfirmMail_TimeOut"/> {'UserAdvManager_ConfirmMail_TimeOut_true'|@translate}<br>
         <input type="radio" value="false" {$UserAdvManager_CONFIRMMAIL_TIMEOUT_FALSE} name="UserAdvManager_ConfirmMail_TimeOut"/> {'UserAdvManager_ConfirmMail_TimeOut_false'|@translate}<br>
+      <br>
     	</li>
+		<li><label>{'UserAdvManager_ConfirmMail_Delay_Info'|@translate}</label><input type="text" name="UserAdvManager_ConfirmMail_Delay" value="{$UserAdvManager_CONFIRMMAIL_DELAY}" size="5" style="text-align: center;"/><br>
       <br>
-		<li><label>{'UserAdvManager_ConfirmMail_Delay_Info'|@translate}</label><input type="text" name="UserAdvManager_ConfirmMail_Delay" value="{$UserAdvManager_CONFIRMMAIL_DELAY}" size="5" style="text-align: center;"/><br>
-	    </li>
-      <br>
-		<li><label>{'UserAdvManager_ConfirmMail_AutoDel'|@translate}</label><br>
+		</li>
+		<!-- This function can't be set due to no access to server's cron functionnalities -->
+		<!-- <li><label>{'UserAdvManager_ConfirmMail_AutoDel'|@translate}</label><br>
         <input type="radio" value="true" {$UserAdvManager_CONFIRMMAIL_AUTODEL_TRUE} name="UserAdvManager_ConfirmMail_AutoDel"/> {'UserAdvManager_ConfirmMail_AutoDel_true'|@translate}<br>
         <input type="radio" value="false" {$UserAdvManager_CONFIRMMAIL_AUTODEL_FALSE} name="UserAdvManager_ConfirmMail_AutoDel"/> {'UserAdvManager_ConfirmMail_AutoDel_false'|@translate}<br>
-	    </li>
       <br>
+	    </li>-->
 		<li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt'|@translate}</label><br>
 		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt" id="UserAdvManager_ConfirmMail_ReMail_Txt" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT}</textarea>
+      <br>
 	    </li>
-      <br>
     </ul>
         <p><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} /></p>
@@ -32,7 +30,7 @@
     <ul>
 		<li><label>{'UserAdvManager_ConfirmMail_User_List'|@translate}</label><br>
-	    </li>
       <br>
-		<table class="table2" width="97%">
+
+		<table class="table2" width="97%" summary="">
   			<thead>
     			<tr class="throw">
@@ -57,4 +55,5 @@
     			<td>{$data}</td>
     		{/foreach}
+    			<!--Todo - Display registration date -->
 				<!--Unaffected column - Can be used in the future -->
     			<!--<td style="text-align:center;">-->
@@ -65,4 +64,5 @@
 	</table>
     	<br/>
+	    </li>
     </ul>
 
@@ -74,6 +74,11 @@
 
 <p>
-  <input class="submit" type="reset" value="{'Reset'|@translate}" name="pref_reset" />
-  <input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} />
+  <input class="submit" type="submit" value="{'Delete_selected'|@translate}" name="Del_Selected" />
+  <input class="submit" type="submit" value="{'Mail_without_key'|@translate}" name="Mail_Without_Key" />
+  <input class="submit" type="submit" value="{'Mail_with_key'|@translate}" name="Mail_With_Key" />
+  <input class="submit" type="submit" value="{'Force_Validation'|@translate}" name="Force_Validation" />
+  <!--
+<input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} />
+-->
 </p>
   </fieldset>
Index: extensions/NBC_UserAdvManager/trunk/admin/global.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 3826)
+++ extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 3836)
@@ -1,6 +1,3 @@
 <div class="titrePage">
-  <ul class="categoryActions">
-  
-  </ul>
   <h2>{'Title_Tab1'|@translate}</h2>
 </div>
@@ -11,63 +8,63 @@
     <ul>
     	<li><label>{'UserAdvManager_Mail_Info'|@translate}</label><br/>
-        <input type="radio" value="true" {$UserAdvManager_MAIL_INFO_TRUE} name="UserAdvManager_Mail_Info"/>{'UserAdvManager_Mail_Info_true'|@translate}<br/>
-        <input type="radio" value="false" {$UserAdvManager_MAIL_INFO_FALSE} name="UserAdvManager_Mail_Info"/>{'UserAdvManager_Mail_Info_false'|@translate}<br/>
+        <input type="radio" value="true" {$UserAdvManager_MAIL_INFO_TRUE} name="UserAdvManager_Mail_Info"/>{'UserAdvManager_Mail_Info_true'|@translate}<br>
+        <input type="radio" value="false" {$UserAdvManager_MAIL_INFO_FALSE} name="UserAdvManager_Mail_Info"/>{'UserAdvManager_Mail_Info_false'|@translate}<br>
+    	<br>
     	</li>
-    	<br/>
-    	<li><label>{'UserAdvManager_MailInfo_Text'|@translate}</label><br/>
+    	<li><label>{'UserAdvManager_MailInfo_Text'|@translate}</label><br><br>
         <textarea name="UserAdvManager_MailInfo_Text" id="UserAdvManager_MailInfo_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_MAILINFO_TEXT}</textarea>
+    	<br><br>
     	</li>
-    	<br/>
-    	<li><label>{'UserAdvManager_No_Casse'|@translate}</label><br/>
-        <input type="radio" value="true" {$UserAdvManager_NO_CASSE_TRUE} name="UserAdvManager_No_Casse"/>{'UserAdvManager_No_Casse_true'|@translate}<br/>
-        <input type="radio" value="false" {$UserAdvManager_NO_CASSE_FALSE} name="UserAdvManager_No_Casse"/>{'UserAdvManager_No_Casse_false'|@translate}<br/>
+    	<li><label>{'UserAdvManager_No_Casse'|@translate}</label><br>
+        <input type="radio" value="true" {$UserAdvManager_NO_CASSE_TRUE} name="UserAdvManager_No_Casse"/>{'UserAdvManager_No_Casse_true'|@translate}<br>
+        <input type="radio" value="false" {$UserAdvManager_NO_CASSE_FALSE} name="UserAdvManager_No_Casse"/>{'UserAdvManager_No_Casse_false'|@translate}<br>
+    	<br>
+   		</li>
+    	<li><label>{'UserAdvManager_Username_Char'|@translate}</label><br>
+        <input type="radio" value="true" {$UserAdvManager_USERNAME_CHAR_TRUE} name="UserAdvManager_Username_Char"/>{'UserAdvManager_Username_Char_true'|@translate}
+        <input type="text" name="UserAdvManager_Username_List" value="{$UserAdvManager_USERNAME_CHAR_LIST}" size="20" style="text-align: center;"/><br>
+        <input type="radio" value="false" {$UserAdvManager_USERNAME_CHAR_FALSE} name="UserAdvManager_Username_Char"/>{'UserAdvManager_Username_Char_false'|@translate}<br>
+    	<br>
     	</li>
-    	<br/>
-    	<li><label>{'UserAdvManager_Username_Char'|@translate}</label><br/>
-        <input type="radio" value="true" {$UserAdvManager_USERNAME_CHAR_TRUE} name="UserAdvManager_Username_Char"/>{'UserAdvManager_Username_Char_true'|@translate}
-        <input type="text" name="UserAdvManager_Username_List" value="{$UserAdvManager_USERNAME_CHAR_LIST}" size="20" style="text-align: center;"/><br/>
-        <input type="radio" value="false" {$UserAdvManager_USERNAME_CHAR_FALSE} name="UserAdvManager_Username_Char"/>{'UserAdvManager_Username_Char_false'|@translate}<br/>
+    	<li><label>{'UserAdvManager_Confirm_Mail'|@translate}</label><br>
+        <input type="radio" value="true" {$UserAdvManager_CONFIRM_MAIL_TRUE} name="UserAdvManager_Confirm_Mail"/>{'UserAdvManager_Confirm_Mail_true'|@translate}<br>
+        <input type="radio" value="false" {$UserAdvManager_CONFIRM_MAIL_FALSE} name="UserAdvManager_Confirm_Mail"/>{'UserAdvManager_Confirm_Mail_false'|@translate}<br>
+    	<br>
     	</li>
-    	<br/>
-    	<li><label>{'UserAdvManager_Confirm_Mail'|@translate}</label><br/>
-        <input type="radio" value="true" {$UserAdvManager_CONFIRM_MAIL_TRUE} name="UserAdvManager_Confirm_Mail"/>{'UserAdvManager_Confirm_Mail_true'|@translate}<br/>
-        <input type="radio" value="false" {$UserAdvManager_CONFIRM_MAIL_FALSE} name="UserAdvManager_Confirm_Mail"/>{'UserAdvManager_Confirm_Mail_false'|@translate}<br/>
+    	<li><label>{'UserAdvManager_ConfirmMail_Text'|@translate}</label><br><br>
+        <textarea name="UserAdvManager_ConfirmMail_Text" id="UserAdvManager_ConfirmMail_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_TEXT}</textarea>
+    	<br><br>
     	</li>
-    	<br/>
-    	<li><label>{'UserAdvManager_ConfirmMail_Text'|@translate}</label><br/>
-        <textarea name="UserAdvManager_ConfirmMail_Text" id="UserAdvManager_ConfirmMail_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_TEXT}</textarea>
+    	<li><label>{'UserAdvManager_No_Confirm_Group'|@translate}</label><br>
+		{html_options name="UserAdvManager_No_Confirm_Group" options=$No_Confirm_Group.group_options selected=$No_Confirm_Group.group_selected}
+    	<br><br>
     	</li>
-      <br/>
-    	<li><label>{'UserAdvManager_No_Confirm_Group'|@translate}</label><br/>
-		{html_options name="UserAdvManager_No_Confirm_Group" options=$No_Confirm_Group.group_options selected=$No_Confirm_Group.group_selected}
+    	<li><label>{'UserAdvManager_Validated_Group'|@translate}</label><br>
+		{html_options name="UserAdvManager_Validated_Group" options=$Validated_Group.group_options selected=$Validated_Group.group_selected}
+    	<br><br>
     	</li>
-      <br/>
-    	<li><label>{'UserAdvManager_Validated_Group'|@translate}</label><br/>
-		{html_options name="UserAdvManager_Validated_Group" options=$Validated_Group.group_options selected=$Validated_Group.group_selected}
+    	<li><label>{'UserAdvManager_No_Confirm_Status'|@translate}</label><br>
+		{html_options name="UserAdvManager_No_Confirm_Status" options=$No_Confirm_Status.Status_options selected=$No_Confirm_Status.Status_selected}
+    	<br><br>
     	</li>
-      <br/>
-    	<li><label>{'UserAdvManager_No_Confirm_Status'|@translate}</label><br/>
-		{html_options name="UserAdvManager_No_Confirm_Status" options=$No_Confirm_Status.Status_options selected=$No_Confirm_Status.Status_selected}
+    	<li><label>{'UserAdvManager_Validated_Status'|@translate}</label><br>
+		{html_options name="UserAdvManager_Validated_Status" options=$Confirm_Status.Status_options selected=$Confirm_Status.Status_selected}
+    	<br><br>
     	</li>
-      <br/>
-    	<li><label>{'UserAdvManager_Validated_Status'|@translate}</label><br/>
-		{html_options name="UserAdvManager_Validated_Status" options=$Confirm_Status.Status_options selected=$Confirm_Status.Status_selected}
+    	<li><label>{'UserAdvManager_No_Comment_Anonymous'|@translate}</label><br>
+        <input type="radio" value="true" {$UserAdvManager_NO_COMMENT_ANO_TRUE} name="UserAdvManager_No_Comment_Anonymous"/>{'UserAdvManager_No_Comment_Anonymous_true'|@translate}<br>
+        <input type="radio" value="false" {$UserAdvManager_NO_COMMENT_ANO_FALSE} name="UserAdvManager_No_Comment_Anonymous"/>{'UserAdvManager_No_Comment_Anonymous_false'|@translate}<br>
+    	<br>
     	</li>
-    	<br/>
-    	<li><label>{'UserAdvManager_No_Comment_Anonymous'|@translate}</label><br/>
-        <input type="radio" value="true" {$UserAdvManager_NO_COMMENT_ANO_TRUE} name="UserAdvManager_No_Comment_Anonymous"/>{'UserAdvManager_No_Comment_Anonymous_true'|@translate}<br/>
-        <input type="radio" value="false" {$UserAdvManager_NO_COMMENT_ANO_FALSE} name="UserAdvManager_No_Comment_Anonymous"/>{'UserAdvManager_No_Comment_Anonymous_false'|@translate}<br/>
+    	<li><label>{'UserAdvManager_MailExclusion'|@translate}</label><br>
+        <input type="radio" value="true" {$UserAdvManager_MAILEXCLUSION_TRUE} name="UserAdvManager_MailExclusion"/>{'UserAdvManager_MailExclusion_true'|@translate}<br>
+        <input type="radio" value="false" {$UserAdvManager_MAILEXCLUSION_FALSE} name="UserAdvManager_MailExclusion"/>{'UserAdvManager_MailExclusion_false'|@translate}<br>
+    	<br>
     	</li>
-    	<br/>
-    	<li><label>{'UserAdvManager_MailExclusion'|@translate}</label><br/>
-        <input type="radio" value="true" {$UserAdvManager_MAILEXCLUSION_TRUE} name="UserAdvManager_MailExclusion"/>{'UserAdvManager_MailExclusion_true'|@translate}<br/>
-        <input type="radio" value="false" {$UserAdvManager_MAILEXCLUSION_FALSE} name="UserAdvManager_MailExclusion"/>{'UserAdvManager_MailExclusion_false'|@translate}<br/>
-    	<br/>
-    	<li><label>{'UserAdvManager_MailExclusion_List'|@translate}</label><br/>
+    	<li><label>{'UserAdvManager_MailExclusion_List'|@translate}</label><br>
         <textarea name="UserAdvManager_MailExclusion_List" id="UserAdvManager_MailExclusion_List" rows="3" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_MAILEXCLUSION_LIST}</textarea>
     	</li>
-    	</li>
     </ul>
-  	<div align="center"><input class="submit" type="submit" value="{'audit'|@translate}" name="audit" /> <input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} /></div>
+  	<p><input class="submit" type="submit" value="{'audit'|@translate}" name="audit" />&nbsp;<input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} /></p>
   </fieldset>
 </form>