Index: extensions/PiwigoLib/PiwigoLib/Service/PwgCategoriesService.cs
===================================================================
--- extensions/PiwigoLib/PiwigoLib/Service/PwgCategoriesService.cs	(revision 3835)
+++ extensions/PiwigoLib/PiwigoLib/Service/PwgCategoriesService.cs	(revision 3837)
@@ -131,4 +131,68 @@
         }
 
+
+        /// <summary>
+        /// Update category data
+        /// </summary>
+        /// <param name="IdCat"></param>
+        /// <param name="categoryName"></param>
+        /// <param name="categoryComment"></param>
+        /// <returns></returns>
+        static public Boolean UpdateCategoryInfo(Int32 IdCat, String categoryName, String categoryComment)
+        {
+            Boolean returnValue = false;
+
+            try
+            {
+                PwgBaseProxyReponse response = PwgCategoriesProxy.pwg_categories_setInfo(IdCat, categoryName, categoryComment);
+
+                if (response.Retour != PwgBaseProxyReponseRetourEnum.Ok)
+                {
+                    if (response.Erreur != null)
+                    {
+                        throw new PwgServiceException("UpdateCategoryInfo, the server has return the error.",
+                            response.Erreur.Code,
+                            response.Erreur.Message);
+                    }
+                    else
+                    {
+                        throw new PwgServiceException("UpdateCategoryInfo : a error occurs during server process.");
+                    }
+                }
+                else
+                {
+                    returnValue = true;
+                }
+            }
+            catch (PwgProxyException ex)
+            {
+                throw new PwgServiceException("UpdateCategoryInfo : a error is raised by proxy.", ex);
+            }
+            return returnValue;
+        }
+
+        /// <summary>
+        /// return the list of PwgImage in the category
+        /// </summary>
+        /// <param name="categoryId"></param>
+        /// <param name="recursive"></param>
+        /// <param name="perPage"></param>
+        /// <param name="Page"></param>
+        /// <param name="Order"></param>
+        /// <param name="minRate"></param>
+        /// <param name="maxRate"></param>
+        /// <param name="minHit"></param>
+        /// <param name="maxHit"></param>
+        /// <param name="minDateAvailable"></param>
+        /// <param name="maxDateAvailable"></param>
+        /// <param name="minDateCreated"></param>
+        /// <param name="maxDateCreated"></param>
+        /// <param name="minRatio"></param>
+        /// <param name="maxRatio"></param>
+        /// <param name="withThumbnail"></param>
+        /// <param name="PageReturned"></param>
+        /// <param name="PerPageeReturned"></param>
+        /// <param name="CountReturned"></param>
+        /// <returns></returns>
         static public List<PwgImage> GetListOfImagesFormCategory(Int32 categoryId,
                                                     Boolean? recursive,
Index: extensions/PiwigoLib/TestPiwigoLib/Form1.cs
===================================================================
--- extensions/PiwigoLib/TestPiwigoLib/Form1.cs	(revision 3835)
+++ extensions/PiwigoLib/TestPiwigoLib/Form1.cs	(revision 3837)
@@ -49,7 +49,7 @@
                 //List<PwgTag> lstTag = PwgTagsService.GetAdminListOfTag();
 
-                Int32 Page = 0;
-                Int32 PerPage = 0; 
-                Int32 Count = 0;
+                //Int32 Page = 0;
+                //Int32 PerPage = 0; 
+                //Int32 Count = 0;
 
                 //List<PwgImage> lstImg = PwgTagsService.GetListOfImagesFormTags(new List<Int32>() { 1, 7 },
@@ -57,11 +57,17 @@
                 //    ref Page, ref PerPage, ref Count);
 
-                List<PwgImage> lstImg = PwgCategoriesService.GetListOfImagesFormCategory(1,
-                    null, null, null, null, null, null, null, null, null, null, null, null, null, null, null,
-                    ref Page, ref PerPage, ref Count);
+                //List<PwgImage> lstImg = PwgCategoriesService.GetListOfImagesFormCategory(1,
+                //    null, null, null, null, null, null, null, null, null, null, null, null, null, null, null,
+                //    ref Page, ref PerPage, ref Count);
 
                 //Console.WriteLine("lstImg : Page " + Page.ToString() + " PerPage " + PerPage);
 
                 //List<PwgCategory> lstCat = PwgCategoriesService.GetAdminListOfCategory(); 
+
+                Int32 newid = 0;
+                String msg = String.Empty;
+                Boolean rc = PwgCategoriesService.AddCategory("test_cat", 1, ref  newid, ref msg);
+                Console.WriteLine(String.Format("newid : {0} message : {1}", newid,msg));
+                rc = PwgCategoriesService.UpdateCategoryInfo(newid, "test2", "rename cat");
 
 