Index: /extensions/whois_online/language/it_IT/index.php
===================================================================
--- /extensions/whois_online/language/it_IT/index.php	(revision 3840)
+++ /extensions/whois_online/language/it_IT/index.php	(revision 3840)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/whois_online/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/whois_online/language/it_IT/plugin.lang.php	(revision 3840)
+++ /extensions/whois_online/language/it_IT/plugin.lang.php	(revision 3840)
@@ -0,0 +1,117 @@
+<?php 
+$lang['Monitor'] = "Controllo e pulizia";
+$lang['Active capture'] = "Attivare la cattura degli accessi";
+$lang['Delete level [10-200] (ratio between obsolete and active)'] = 
+	"Soglia di pulizia [10-200] (rapporto tra dati obsoleti ed attivi)";
+$lang['Obsolete limit [20-100] (obsolete data count)'] = 
+	"Limite d'inattivi [20-100] (numero massimo di vecche entrate)";
+$lang['Add link to Plugins menu'] = "Aggiunge un link nel menu dei Plugins";
+$lang['Keep data even if plugin is deactivated/uninstall'] = 
+	"Mantenere i dati anche se il plugin è disattivato";
+$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] = 
+	"Utenti esperti: le variabili per i templates sono disponibli comunque e possono essere inclusi nelle vostre estensioni";
+$lang['Default display'] = "Usare la visualizzazione di default";
+$lang['Total hits:'] = "Numero di pagine viste (miniature o immagini) :";
+//$lang['Image hits:'] = "Pages d'images vues :";
+//$lang['other hits:'] = "Autres pages :";
+$lang['Your recently viewed pictures'] = "Le vostre ultime consultazioni";
+$lang['Most recent 10 minutes hits:'] = "Consultazioni degli ultimi 10 minuti :";
+$lang['Some of recently viewed pictures by other users'] = 
+	"Ultime Consultazioni degli altri visitatori";
+$lang['Current hour hits:'] = "Numero di pagine consultate negli ultimi 60 minuti :";
+$lang['Yesterday hits:'] = "Numero di consultazioni d'ieri :";
+$lang['Last 24h users:'] = "Numero di visitatori nelle ultime 24 ore :";
+$lang['Last hour online users:'] = "Visitatori degli ultimi 60 minuti :";
+$lang['Recent guest(s):'] = "Visitatore(i) recente(i) :";
+$lang['Recent member(s):'] = "Membro(i) recentemente connesso(i) :";
+$lang['Permanence/Durability of user monitoring'] = "Controllo degli utenti (Permanenza e Presenza)";
+//$lang['Next version enhancements: Set/Unset of permanence, Cleaning, and detail reporting'] = 
+//	"Améliorations de la prochaine version: Activation de la permanence du suivi, Nettoyage, et liste détaillée des accès.";
+$lang['Whois_review'] = "Recentemente viste da voi";
+$lang['Whois_others'] = "Recentemente viste dagli altri";
+$lang['Add icon to History'] = "Aggiunger l'icona dopo il link Cronologia";
+
+// Added 2.0.e
+$lang['Radar limit'] = 'Profondità del radar';
+$lang['Users with image cluetips [10-200]'] = 'Numero di visitatori con tooltips sulle immagini [10-200]';
+$lang['Default %s'] = 'Valore di default : %s';
+$lang['Default as anybody'] = 'Valore di default : Normale';
+$lang['Webmasters management:'] = 'Gestione del/dei Webmaster :';
+$lang['Exclude'] = 'Escludere';
+$lang['Hidden'] = 'Nascondere';
+$lang['As anybody'] = 'Normale';
+$lang['Administrators management:'] = 'Gestione degli Amministratori :';
+$lang['Your `%s` table summary'] = 'Riassunto della votra tabella `%s` ';
+$lang['Compress it!'] = 'Comprimere la tabella!';
+$lang[' => Delete old guests access (over 3 days), and optimize table and index.'] = 
+	' => Sopprimere gli accessi dei precedenti visitatori (di più di 3 giorni), ed ottimizare la tabella e l\'indice.';
+$lang['Space used: %s'] = 'Spazzio utilizzato : %s';
+$lang['Unused allocated space: <strong>%s</strong>'] = 'Spazzio inutilizzato ed anche perso : <strong>%s</strong>';
+$lang['Traced sessions: %s'] = 'Sessioni monitorate : %s';
+$lang['Altered/created since: %s'] = 'Modificata/Creata il : %s';
+$lang['Clearing'] = 'Pulizzia';
+$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 
+	'Ritiro degli utenti temporanei (minimo di 6 minuti senza attività). Per ritirare un membro permanente, spostatelo nella box di destra qui sopra.';
+$lang['Delete'] = 'Cancellare';
+$lang['Members summary'] = 'Controllo dei Membri';
+$lang['Registration counter: %s'] = 'Numero di entrate: %s';
+$lang['Most members ever online was %s on %s'] = 'In data del %2$s, il record di membri connessi simultaneamente è di %1$s !';
+$lang['Y-m-d H:i'] = 'd-m-Y alle H\hi';
+$lang['Available filters'] = 'Filtri disponibili';
+$lang['Monitored members'] = 'Membri monitorati';
+$lang['Captured guests'] = 'Visitatori catturati';
+$lang['Last 24h accesses'] = 'Accessi delle ultime 24 ore';
+$lang['More than 24h accesses'] = 'Accesso + 24 ore';
+$lang['Pictures accesses'] = 'Accesso alle immagini';
+$lang['No picture accesses'] = 'Accesso senza immagini';
+$lang['Unidentifed countries'] = 'Paesi sconosciuti';
+$lang['Only one day accesses'] = 'Un solo giorno';
+$lang['Several days accesses or over midnight'] = 'Accesso su più giorni';
+$lang['Several identified IPs (Only the first one is kept)'] = 'Più indirizzi IP identificati (Solo la prima è mantenuta)';
+$lang['User access details'] = 'Dettagli degli accessi del\'utente';
+$lang['No data available'] = 'Dato disponibile';
+$lang['users'] = 'Utenti';
+$lang['First access'] = 'Primo accesso';
+$lang['Level'] = 'Livello';
+$lang['Images (Modify)'] = 'Immagini (Modificazione)';
+$lang['Last access'] = 'Ultimo accesso';
+$lang['User:'] = 'Utente :';
+$lang['(Multiple IP)'] = '(Molti IP (socetà?))';
+$lang['Registered since'] = 'Registrato il';
+$lang['Hits since'] = 'Monitoraggio dal';
+$lang['on pictures'] = 'Visite alle immagini';
+$lang['on pages'] = 'alle pagini';
+$lang['Level %d'] = 'Livello %d';
+$lang['Image privacy level is higher than the user privacy level (Any change of one of them?)'] = 
+	'Il livello di confidenzialità dell\'immagine è più alta che quello del utente (È Stata realizzata una modifica?)';
+$lang[' - Over the radar limit => No level control'] = ' - Supera la profondità del Radar => più nessun controllo della confidenzialità';
+$lang['Previous connection dates'] = 'Date delle precedente connessioni';
+$lang[': provides newcomers\' localization and possibly new country flags, thanks to them.'] = 
+	': identifica la provenienza di nuovi arrivati e se neccessario fornsce la bandiera del paese, li ringraziamo.';
+$lang[': provides IP geolocalization on request (link on flag). Useful for unknown countries.'] =
+	': propone se richiesto una localizzazione geografica che si basa sul indirizzo IP (link sulla bandiera). Pratico per tutti i paesi sconosciuti.';
+$lang['Report'] = 'Il radar';
+$lang['Error range: '] = 'Errore di valori: ';
+$lang['Radar_limit [10-200] (Users with image cluetips on radar page)'] = 
+	'La profondità del radar [10-200] (Immagini con delle tooltips per l\'accesso dei n primi utenti sulla pagina del radar)';
+$lang['User follow up error'] = 'Errore di monitoraggio del utente';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 
+	'Siete un Consigliere e non siete autorizzati ad effettuare modifiche alla configurazione.';
+$lang['Configuration has been saved.'] = 'Configurazione registrata.';
+$lang['Permanent users (3 months min)'] = 'Membri permanenti (3 mesi min)';
+$lang['Temporary users (around 72 hours)'] = 'Membri temporanei (72 ore e +)';
+$lang['Unknown country'] = 'Paese sconosciuto (o socetà)';
+$lang['Deleted language'] = 'Lingua ritirata';
+$lang['Recents (less 24h)'] = 'Recenti (<24 ore)';
+$lang['More than 24h'] = 'Più di 24 ore';
+$lang['On pictures'] = 'Con immagini';
+$lang['Categories only'] = 'Solo categorie';
+$lang['No country'] = 'Senza paese';
+$lang['One day'] = 'Un giorno';
+$lang['Several days'] = 'Più giorni';
+$lang['Several IPs'] = 'Più IP';
+$lang['http:geoiptool'] = 'http://www.geoiptool.com/fr/?IP=';
+$lang[':geoiptool:title']= 'My IP Address Lookup and GeoTargeting information';
+$lang['http:hostip'] = 'http://www.hostip.info';
+$lang[':hostip:title'] = 'My IP Address Lookup and GeoTargeting Community Geotarget IP Project - what country, city IP addresses map to';
+?>