Index: extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 3841)
+++ extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 3845)
@@ -33,8 +33,7 @@
                l10n('Tab_ConfirmMail'),
                $my_base_url.'&amp;tab=confirmmail');
-/* For futur options */
-//$tabsheet->add('Misc_Options',
-//               l10n('Tab_Misc_Options'),
-//               $my_base_url.'&amp;tab=Misc_Options');
+$tabsheet->add('usermanager',
+               l10n('Tab_UserManager'),
+               $my_base_url.'&amp;tab=usermanager');
 $tabsheet->select($page['tab']);
 $tabsheet->assign();
@@ -304,11 +303,12 @@
   $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
 	
-  if (isset($conf_nbc_UserAdvManager[2]) and $conf_nbc_UserAdvManager[2]=='true' )
+  if (isset($conf_nbc_UserAdvManager[2]) and $conf_nbc_UserAdvManager[2]=='true')
   {
     if ( isset($_POST['submit']) and !is_adviser() and isset($_POST['UserAdvManager_ConfirmMail_TimeOut']) )
 		{
-	  	$_POST['UserAdvManager_ConfirmMail_ReMail_Txt'] = str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UserAdvManager_ConfirmMail_ReMail_Txt']));
+	  	$_POST['UserAdvManager_ConfirmMail_ReMail_Txt1'] = str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UserAdvManager_ConfirmMail_ReMail_Txt1']));
+	  	$_POST['UserAdvManager_ConfirmMail_ReMail_Txt2'] = str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UserAdvManager_ConfirmMail_ReMail_Txt2']));
    		  
-	  	$newconf_nbc_UserAdvManager_ConfirmMail = $_POST['UserAdvManager_ConfirmMail_TimeOut'].';'.$_POST['UserAdvManager_ConfirmMail_Delay'].';'.$_POST['UserAdvManager_ConfirmMail_ReMail_Txt'];
+	  	$newconf_nbc_UserAdvManager_ConfirmMail = $_POST['UserAdvManager_ConfirmMail_TimeOut'].';'.$_POST['UserAdvManager_ConfirmMail_Delay'].';'.$_POST['UserAdvManager_ConfirmMail_ReMail_Txt1'].';'.$_POST['UserAdvManager_ConfirmMail_Remail'].';'.$_POST['UserAdvManager_ConfirmMail_ReMail_Txt2'];
 		  
 //NODO:Adding new option [Auto deletion : True | False] - No access to cron functionnalities
@@ -328,6 +328,52 @@
 		}
 	
-		$conf_nbc_UserAdvManager_ConfirmMail = isset($conf['nbc_UserAdvManager_ConfirmMail']) ? explode(";" , $conf['nbc_UserAdvManager_ConfirmMail']) : array();
-
+		$conf_nbc_UserAdvManager_ConfirmMail = isset($conf['nbc_UserAdvManager_ConfirmMail']) ? explode(";" , $conf['nbc_UserAdvManager_ConfirmMail']) : array();		
+
+	  $template->assign(
+	  array(
+		'UserAdvManager_CONFIRMMAIL_TIMEOUT_TRUE'		=> $conf_nbc_UserAdvManager_ConfirmMail[0]=='true' ?  'checked="checked"' : '' ,
+		'UserAdvManager_CONFIRMMAIL_TIMEOUT_FALSE'	=> $conf_nbc_UserAdvManager_ConfirmMail[0]=='false' ?  'checked="checked"' : '' ,
+		'UserAdvManager_CONFIRMMAIL_DELAY'					=> $conf_nbc_UserAdvManager_ConfirmMail[1],
+    'UserAdvManager_CONFIRMMAIL_REMAIL_TXT1'		=> $conf_nbc_UserAdvManager_ConfirmMail[2],
+    'UserAdvManager_CONFIRMMAIL_REMAIL_TXT2'		=> $conf_nbc_UserAdvManager_ConfirmMail[4],
+    'UserAdvManager_CONFIRMMAIL_REMAIL_TRUE'		=> $conf_nbc_UserAdvManager_ConfirmMail[3]=='true' ? 'checked="checked"' : '',
+    'UserAdvManager_CONFIRMMAIL_REMAIL_FALSE'		=> $conf_nbc_UserAdvManager_ConfirmMail[3]=='false' ? 'checked="checked"' : '',
+    	)
+	  );		
+
+// +-----------------------------------------------------------------------+
+// |                             errors display                            |
+// +-----------------------------------------------------------------------+
+	if ( isset ($errors) and count($errors) != 0)
+	{
+	  $template->assign('errors',array());
+		foreach ($errors as $error)
+	  {
+			array_push($page['errors'], $error);
+	  }
+ 	}  
+
+// +-----------------------------------------------------------------------+
+// |                           templates display                           |
+// +-----------------------------------------------------------------------+
+		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/confirmmail.tpl');
+    $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
+  }
+  else
+  {
+		array_push($page['infos'], l10n('Err_ConfirmMail_Settings'));
+  }
+  break;
+
+
+// +-----------------------------------------------------------------------+
+// |                           Users manager page                          |
+// +-----------------------------------------------------------------------+
+  case 'usermanager':
+  $conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
+  $conf_nbc_UserAdvManager_ConfirmMail = isset($conf['nbc_UserAdvManager_ConfirmMail']) ? explode(";" , $conf['nbc_UserAdvManager_ConfirmMail']) : array();
+	
+  if (isset($conf_nbc_UserAdvManager[2]) and $conf_nbc_UserAdvManager[2]=='true' and isset($conf_nbc_UserAdvManager_ConfirmMail[0]) and $conf_nbc_UserAdvManager_ConfirmMail[0]=='true' )
+  {
 // +-----------------------------------------------------------------------+
 // |                           initialization                              |
@@ -396,45 +442,45 @@
 // +-----------------------------------------------------------------------+
 	if (isset($_POST['Del_Selected']) and count($collection) > 0)
-    {
-      if (in_array($conf['guest_id'], $collection))
-   	  {
-        array_push($page['errors'], l10n('Guest cannot be deleted'));
-      }
-      if (($conf['guest_id'] != $conf['default_user_id']) and
-        in_array($conf['default_user_id'], $collection))
-      {
-        array_push($page['errors'], l10n('Default user cannot be deleted'));
-      }
-      if (in_array($conf['webmaster_id'], $collection))
-      {
-        array_push($page['errors'], l10n('Webmaster cannot be deleted'));
-      }
-      if (in_array($user['id'], $collection))
-      {
-        array_push($page['errors'], l10n('You cannot delete your account'));
-      }
-
-      if (count($page['errors']) == 0)
-      {
-        foreach ($collection as $user_id)
+  {
+  	if (in_array($conf['guest_id'], $collection))
+   	{
+    	array_push($page['errors'], l10n('Guest cannot be deleted'));
+    }
+    if (($conf['guest_id'] != $conf['default_user_id']) and
+    	in_array($conf['default_user_id'], $collection))
+    {
+    	array_push($page['errors'], l10n('Default user cannot be deleted'));
+    }
+    if (in_array($conf['webmaster_id'], $collection))
+    {
+    	array_push($page['errors'], l10n('Webmaster cannot be deleted'));
+    }
+    if (in_array($user['id'], $collection))
+    {
+    	array_push($page['errors'], l10n('You cannot delete your account'));
+    }
+
+    if (count($page['errors']) == 0)
+    {
+    	foreach ($collection as $user_id)
+      {
+      	delete_user($user_id);
+      }
+     	array_push(
+      	$page['infos'],
+        l10n_dec(
+        '%d user deleted', '%d users deleted',
+        count($collection)
+        )
+      );
+
+      foreach ($page['filtered_users'] as $filter_key => $filter_user)
+      {
+      	if (in_array($filter_user['id'], $collection))
         {
-          delete_user($user_id);
-        }
-        array_push(
-          $page['infos'],
-          l10n_dec(
-          '%d user deleted', '%d users deleted',
-          count($collection)
-          )
-        );
-
-        foreach ($page['filtered_users'] as $filter_key => $filter_user)
-        {
-       	  if (in_array($filter_user['id'], $collection))
-          {
-            unset($page['filtered_users'][$filter_key]);
-          }
-        }
-      }
+        	unset($page['filtered_users'][$filter_key]);
+        }
+      }
+		}
 	}
 
@@ -737,14 +783,9 @@
               );
         }
-	  }		
-
-	  $template->assign(
-	  array(
-		'UserAdvManager_CONFIRMMAIL_TIMEOUT_TRUE'		=> $conf_nbc_UserAdvManager_ConfirmMail[0]=='true' ?  'checked="checked"' : '' ,
-		'UserAdvManager_CONFIRMMAIL_TIMEOUT_FALSE'	=> $conf_nbc_UserAdvManager_ConfirmMail[0]=='false' ?  'checked="checked"' : '' ,
-		'UserAdvManager_CONFIRMMAIL_DELAY'					=> $conf_nbc_UserAdvManager_ConfirmMail[1],
-    'UserAdvManager_CONFIRMMAIL_REMAIL_TXT'			=> $conf_nbc_UserAdvManager_ConfirmMail[2],
-    	)
-	  );		
+	  }
+
+
+
+
 
 // +-----------------------------------------------------------------------+
@@ -758,17 +799,18 @@
 		array_push($page['errors'], $error);
 	  }
-  	}  
+ 	}  
 
 // +-----------------------------------------------------------------------+
 // |                           templates display                           |
 // +-----------------------------------------------------------------------+
-	$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/confirmmail.tpl');
+	$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/usermanager.tpl');
     $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
   }
   else
   {
-	array_push($page['infos'], l10n('Err_ConfirmMail_Settings'));
+	array_push($page['infos'], l10n('Err_UserManager_Settings'));
   }
-  break;
+  break; 
+ 
 }
 ?>
Index: extensions/NBC_UserAdvManager/trunk/admin/confirmmail.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/confirmmail.tpl	(revision 3841)
+++ extensions/NBC_UserAdvManager/trunk/admin/confirmmail.tpl	(revision 3845)
@@ -21,61 +21,30 @@
       <br>
 	    </li>-->
-		<li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt'|@translate}</label><br>
-		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt" id="UserAdvManager_ConfirmMail_ReMail_Txt" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT}</textarea>
-      <br>
-	    </li>
+    <li><label>{'UserAdvManager_ConfirmMail_Remail'|@translate}</label><br>
+    	<input type="radio" value="true" {$UserAdvManager_CONFIRMMAIL_REMAIL_TRUE} name="UserAdvManager_ConfirmMail_Remail"/> {'UserAdvManager_ConfirmMail_Remail_true'|@translate}<br>
+      <input type="radio" value="false" {$UserAdvManager_CONFIRMMAIL_REMAIL_FALSE} name="UserAdvManager_ConfirmMail_Remail"/> {'UserAdvManager_ConfirmMail_Remail_false'|@translate}<br>
+    <br>
+    </li>
+ 	{if $UserAdvManager_CONFIRMMAIL_REMAIL_TRUE}
+		<li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt1'|@translate}</label><br>
+		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt1" id="UserAdvManager_ConfirmMail_ReMail_Txt1" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT1}</textarea>
+    <br><br>
+	  </li>
+		<li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt2'|@translate}</label><br>
+		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt2" id="UserAdvManager_ConfirmMail_ReMail_Txt2" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT2}</textarea>
+    <br>
+	  </li>
+  {else}
+		<li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt1'|@translate}</label><br>
+		<textarea  name="UserAdvManager_ConfirmMail_ReMail_Txt1" id="UserAdvManager_ConfirmMail_ReMail_Txt1" rows="10" cols="80" readonly{$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT1}</textarea>
+    <br><br>
+	  </li>
+		<li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt2'|@translate}</label><br>
+		<textarea name="UserAdvManager_ConfirmMail_ReMail_Txt2" id="UserAdvManager_ConfirmMail_ReMail_Txt2" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT2}</textarea>
+    <br>
+	  </li>
+	{/if}
     </ul>
         <p><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} /></p>
-      <br><hr><br>
-    <ul>
-		<li><label>{'UserAdvManager_ConfirmMail_User_List'|@translate}</label><br>
-      <br>
-
-		<table class="table2" width="97%" summary="">
-  			<thead>
-    			<tr class="throw">
-      			<td>&nbsp;</td>
-      			<td>{'Username'|@translate}</td>
-      			<td>{'user_status'|@translate}</td>
-      			<td>{'Email address'|@translate}</td>
-      			<td>{'Groups'|@translate}</td>
-      			<td>{'Registration'|@translate}</td>
-    			</tr>
-  			</thead>
-
-			{foreach from=$users item=user name=users_loop}
-  				<tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
-    			<td><input type="checkbox" name="selection[]" value="{$user.ID}" {$user.CHECKED} id="selection-{$user.ID}" /></td>
-    			<td><label for="selection-{$user.ID}">{$user.USERNAME}</label></td>
-    			<td>{$user.STATUS}</td>
-    			<td>{$user.EMAIL}</td>
-    			<td>{$user.GROUPS}</td>
-
-    			{foreach from=$user.plugin_columns item=data}
-    			<td>{$data}</td>
-    			{/foreach}
-    			<td style="text-align:center;">{$user.REGISTRATION}</td>
-  			</tr>
-  		{/foreach}
-	</table>
-    	<br/>
-	    </li>
-    </ul>
-
-<p>
-  {'target'|@translate}
-  <label><input type="radio" name="target" value="all" /> {'all'|@translate}</label>
-  <label><input type="radio" name="target" value="selection" checked="checked" /> {'selection'|@translate}</label>
-</p>
-
-<p>
-  <input class="submit" type="submit" value="{'Delete_selected'|@translate}" name="Del_Selected" />
-  <input class="submit" type="submit" value="{'Mail_without_key'|@translate}" name="Mail_Without_Key" />
-  <input class="submit" type="submit" value="{'Mail_with_key'|@translate}" name="Mail_With_Key" />
-  <input class="submit" type="submit" value="{'Force_Validation'|@translate}" name="Force_Validation" />
-  <!--
-<input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} />
--->
-</p>
   </fieldset>
 </form>