Index: /extensions/MostCommented/language/es_ES/description.txt
===================================================================
--- /extensions/MostCommented/language/es_ES/description.txt	(revision 3853)
+++ /extensions/MostCommented/language/es_ES/description.txt	(revision 3853)
@@ -0,0 +1,1 @@
+Añade un lazo "más comentadas" en el menú "Classes de matemáticas superiores"
Index: /extensions/MostCommented/language/es_ES/index.php
===================================================================
--- /extensions/MostCommented/language/es_ES/index.php	(revision 3853)
+++ /extensions/MostCommented/language/es_ES/index.php	(revision 3853)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/MostCommented/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/MostCommented/language/es_ES/plugin.lang.php	(revision 3853)
+++ /extensions/MostCommented/language/es_ES/plugin.lang.php	(revision 3853)
@@ -0,0 +1,4 @@
+<?php
+$lang['most_commented_cat'] = 'Más comentadas';
+$lang['most_commented_cat_hint'] = 'Fijar las imágenes más comentadas';
+?>
Index: /extensions/MostCommented/language/pl_PL/index.php
===================================================================
--- /extensions/MostCommented/language/pl_PL/index.php	(revision 3853)
+++ /extensions/MostCommented/language/pl_PL/index.php	(revision 3853)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/MostCommented/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/MostCommented/language/pl_PL/plugin.lang.php	(revision 3853)
+++ /extensions/MostCommented/language/pl_PL/plugin.lang.php	(revision 3853)
@@ -0,0 +1,4 @@
+<?php
+$lang['most_commented_cat'] = 'Najczęściej komentowane';
+$lang['most_commented_cat_hint'] = 'wyświetl najczęściej komentowane zdjęcia';
+?>