Index: /trunk/plugins/LocalFilesEditor/language/pl_PL/description.txt
===================================================================
--- /trunk/plugins/LocalFilesEditor/language/pl_PL/description.txt	(revision 3855)
+++ /trunk/plugins/LocalFilesEditor/language/pl_PL/description.txt	(revision 3855)
@@ -0,0 +1,1 @@
+Edycja plików lokalnych z panelu administratora
Index: /trunk/plugins/admin_advices/language/pl_PL/description.txt
===================================================================
--- /trunk/plugins/admin_advices/language/pl_PL/description.txt	(revision 3855)
+++ /trunk/plugins/admin_advices/language/pl_PL/description.txt	(revision 3855)
@@ -0,0 +1,1 @@
+Wyświetla poradę (w języku angielskim) na stronie administracyjnej.
Index: /trunk/plugins/admin_advices/language/pl_PL/index.php
===================================================================
--- /trunk/plugins/admin_advices/language/pl_PL/index.php	(revision 3855)
+++ /trunk/plugins/admin_advices/language/pl_PL/index.php	(revision 3855)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/admin_multi_view/language/pl_PL/description.txt
===================================================================
--- /trunk/plugins/admin_multi_view/language/pl_PL/description.txt	(revision 3855)
+++ /trunk/plugins/admin_multi_view/language/pl_PL/description.txt	(revision 3855)
@@ -0,0 +1,1 @@
+Pozwala administratorom przeglądać galerię jako gość oraz zmieniać ustawienia języka i grafiki. Praktyczne do weryfikacji zmian...
Index: /trunk/plugins/admin_multi_view/language/pl_PL/index.php
===================================================================
--- /trunk/plugins/admin_multi_view/language/pl_PL/index.php	(revision 3855)
+++ /trunk/plugins/admin_multi_view/language/pl_PL/index.php	(revision 3855)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/c13y_upgrade/language/pl_PL/description.txt
===================================================================
--- /trunk/plugins/c13y_upgrade/language/pl_PL/description.txt	(revision 3855)
+++ /trunk/plugins/c13y_upgrade/language/pl_PL/description.txt	(revision 3855)
@@ -0,0 +1,1 @@
+Sprawdzanie integralności uaktualnień
Index: /trunk/plugins/c13y_upgrade/language/pl_PL/index.php
===================================================================
--- /trunk/plugins/c13y_upgrade/language/pl_PL/index.php	(revision 3855)
+++ /trunk/plugins/c13y_upgrade/language/pl_PL/index.php	(revision 3855)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/event_tracer/language/pl_PL/description.txt
===================================================================
--- /trunk/plugins/event_tracer/language/pl_PL/description.txt	(revision 3855)
+++ /trunk/plugins/event_tracer/language/pl_PL/description.txt	(revision 3855)
@@ -0,0 +1,1 @@
+Dla deweloperów. Wyświetla wszystkie wywołania trigger_event
Index: /trunk/plugins/event_tracer/language/pl_PL/index.php
===================================================================
--- /trunk/plugins/event_tracer/language/pl_PL/index.php	(revision 3855)
+++ /trunk/plugins/event_tracer/language/pl_PL/index.php	(revision 3855)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/plugins/language_switch/language/pl_PL/description.txt
===================================================================
--- /trunk/plugins/language_switch/language/pl_PL/description.txt	(revision 3855)
+++ /trunk/plugins/language_switch/language/pl_PL/description.txt	(revision 3855)
@@ -0,0 +1,1 @@
+Przełączanie na inny język poprzez ikony flag na Twojej stronie głównej galerii
Index: /trunk/plugins/language_switch/language/pl_PL/index.php
===================================================================
--- /trunk/plugins/language_switch/language/pl_PL/index.php	(revision 3855)
+++ /trunk/plugins/language_switch/language/pl_PL/index.php	(revision 3855)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>