Index: branches/2.0/plugins/LocalFilesEditor/language/de_DE/description.txt
===================================================================
--- branches/2.0/plugins/LocalFilesEditor/language/de_DE/description.txt	(revision 3879)
+++ branches/2.0/plugins/LocalFilesEditor/language/de_DE/description.txt	(revision 3879)
@@ -0,0 +1,1 @@
+Editiert lokale Dateien aus der Administratoroberfläche heraus.
Index: branches/2.0/plugins/add_index/language/de_DE/description.txt
===================================================================
--- branches/2.0/plugins/add_index/language/de_DE/description.txt	(revision 3879)
+++ branches/2.0/plugins/add_index/language/de_DE/description.txt	(revision 3879)
@@ -0,0 +1,1 @@
+Fügt eine Datei index.php in jeden Unterordner der Galerie hinzu.
Index: branches/2.0/plugins/admin_advices/language/de_DE/description.txt
===================================================================
--- branches/2.0/plugins/admin_advices/language/de_DE/description.txt	(revision 3879)
+++ branches/2.0/plugins/admin_advices/language/de_DE/description.txt	(revision 3879)
@@ -0,0 +1,1 @@
+Ausgabe von Empfehlungen (auf englisch) für die Administratorseite.
Index: branches/2.0/plugins/admin_multi_view/language/de_DE/description.txt
===================================================================
--- branches/2.0/plugins/admin_multi_view/language/de_DE/description.txt	(revision 3879)
+++ branches/2.0/plugins/admin_multi_view/language/de_DE/description.txt	(revision 3879)
@@ -0,0 +1,1 @@
+Erlaubt Administratoren die Galerie als Gast oder in einer anderen Sprache anzusehen ohne sich abzumelden. Praktisch für die Fehlersuche...
Index: branches/2.0/plugins/admin_multi_view/language/de_DE/index.php
===================================================================
--- branches/2.0/plugins/admin_multi_view/language/de_DE/index.php	(revision 3879)
+++ branches/2.0/plugins/admin_multi_view/language/de_DE/index.php	(revision 3879)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/plugins/c13y_upgrade/language/de_DE/description.txt
===================================================================
--- branches/2.0/plugins/c13y_upgrade/language/de_DE/description.txt	(revision 3879)
+++ branches/2.0/plugins/c13y_upgrade/language/de_DE/description.txt	(revision 3879)
@@ -0,0 +1,1 @@
+Überprüfe die Integrität der Updates
Index: branches/2.0/plugins/event_tracer/language/de_DE/description.txt
===================================================================
--- branches/2.0/plugins/event_tracer/language/de_DE/description.txt	(revision 3879)
+++ branches/2.0/plugins/event_tracer/language/de_DE/description.txt	(revision 3879)
@@ -0,0 +1,1 @@
+Für Entwickler. Zeigt Aufrufe für trigger_event
Index: branches/2.0/plugins/event_tracer/language/de_DE/index.php
===================================================================
--- branches/2.0/plugins/event_tracer/language/de_DE/index.php	(revision 3879)
+++ branches/2.0/plugins/event_tracer/language/de_DE/index.php	(revision 3879)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: branches/2.0/plugins/language_switch/language/de_DE/description.txt
===================================================================
--- branches/2.0/plugins/language_switch/language/de_DE/description.txt	(revision 3879)
+++ branches/2.0/plugins/language_switch/language/de_DE/description.txt	(revision 3879)
@@ -0,0 +1,2 @@
+Ändert die Sprache der Galerie durch anklicken der Länderflaggen auf der
+Seite.
Index: branches/2.0/plugins/language_switch/language/de_DE/index.php
===================================================================
--- branches/2.0/plugins/language_switch/language/de_DE/index.php	(revision 3879)
+++ branches/2.0/plugins/language_switch/language/de_DE/index.php	(revision 3879)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>